package com.qmth.teachcloud.mark.enums;

public enum LockType {
	EXAM_SUBJECT("exam_subject"),
	QUESTION("question"),
	QUESTION_UPDATE("question_update"),
	STUDENT("student"),
	MARK_USER_QUESTION("mark_user_group"),
	MARKER_RESET("marker_reset"),
	USER("user"),
	FORMAL_LIBRARY("formal_library"),
	TRIAL_LIBRARY("trial_library"),
	ARBITRATE("arbitrate"),
	BATCH_QUALITY("batch_quality"),
	SCORE_CALCULATE("score_calculate"), 
	GROUP_LIBRARY("group_library"), 
	DATA_SYNC("data_sync"), 
	SCHOOL("school"),
	QUESTION_DELETE("question_delete"),
	CARD_SAVE("card_save"),
	INIT_MARK_DATA("init_mark_data"),
    CREATE_PDF("create_pdf"),
    EXAM_TASK_WHOLE("exam_task_whole"),
    CUSTOM_CARD_SAVE("custom_card_save"),
    CUSTOM_MODEL_FOUR_CARD_SAVE("custom_model_four_card_save"),
	AI_TASK_RESET("ai_task_reset"),
	OCR_MARK_TASK("ocr_mark_task"),
	OCR_MARK("ocr_mark"),
	AI_MARK_TASK("ai_mark_task"),
	AI_MARK("ai_mark"),
	RELATE_STUDENTS("relate_students"),
	BUILD_MARK_TASK("build_mark_task");

	private String name;

	private LockType(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

}
