package com.qmth.distributed.print.aiDataStatistics;

import java.math.BigInteger;

public class StringHash {

    public static BigInteger hash(String source, int hashBits) {
        if (source == null || source.length() == 0) {
            return new BigInteger("0");
        }

        char[] sourceArray = source.toCharArray();
        BigInteger x = BigInteger.valueOf(((long) sourceArray[0]) << 7);
        BigInteger m = new BigInteger("1000003");
        BigInteger mask = new BigInteger("2").pow(hashBits).subtract(new BigInteger("1"));

        for (char item : sourceArray) {
            BigInteger temp = BigInteger.valueOf(item);
            x = x.multiply(m).xor(temp).and(mask);
        }

        x = x.xor(new BigInteger(String.valueOf(source.length())));
        if (x.equals(new BigInteger("-1"))) {
            x = new BigInteger("-2");
        }

        return x;
    }

}
